Bug 174208 - New port: net-im/jitsi Open source IM and VoIP application
Summary: New port: net-im/jitsi Open source IM and VoIP application
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 19:00 UTC by Tzanetos Balitsaris
Modified: 2013-03-24 19:21 UTC (History)
0 users

See Also:


Attachments
file.shar (13.70 KB, text/plain)
2012-12-05 19:00 UTC, Tzanetos Balitsaris
no flags Details
jitsi.shar (9.89 KB, text/plain; charset=ISO-8859-1)
2012-12-10 21:35 UTC, Tzanetos Balitsaris
no flags Details
jitsi.shar (9.48 KB, text/plain; charset=ISO-8859-1)
2013-02-16 14:09 UTC, Tzanetos Balitsaris
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tzanetos Balitsaris freebsd_committer 2012-12-05 19:00:00 UTC

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-12-05 19:00:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tzabal

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Alex Kozlov freebsd_committer 2012-12-10 21:00:18 UTC
Responsible Changed
From-To: tzabal->freebsd-ports-bugs

Subscriber does not have GNATS access
Comment 3 Tzanetos Balitsaris 2012-12-10 21:35:51 UTC
Please ignore the original shar file that has been attached with the  
PR, and use the one attached with this email.

In the structure of the first version, there was a .png image that  
rendered unable the correct extraction of the shar file. Now the .png  
image is not included in the port and it is copied from the build  
directory of Jitsi.

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.
Comment 4 Carlo Strub freebsd_committer 2012-12-25 21:43:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it -- I was the guy putting it on the wanted list :-)
Comment 5 Tzanetos Balitsaris 2013-02-16 14:09:05 UTC
An update for the port.

Changes
- Update to version 1.1 (Snapshot jitsi-src-1.1.4456.10418, 01-Feb-2013)
- Replace the desktop entry file with the DESKTOP_ENTRIES variable

Remaining issues
- Audio and video does not work

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.
Comment 6 dfilter service freebsd_committer 2013-03-24 19:16:59 UTC
Author: cs
Date: Sun Mar 24 19:16:45 2013
New Revision: 315152
URL: http://svnweb.freebsd.org/changeset/ports/315152

Log:
  Jitsi (formerly SIP Communicator) is an audio/video and chat communicator that
  supports protocols such as SIP, XMPP/Jabber, AIM/ICQ, Windows Live, Yahoo! and
  many other useful features. Jitsi is Open Source / Free Software, and is
  available under the terms of the LGPL.
  
  WWW: https://jitsi.org
  
  PR:		ports/174208
  Submitted by:	Tzanetos Balitsaris <tzabal@it.teithe.gr>

Added:
  head/net-im/jitsi/
  head/net-im/jitsi/Makefile   (contents, props changed)
  head/net-im/jitsi/distinfo   (contents, props changed)
  head/net-im/jitsi/files/
  head/net-im/jitsi/files/jitsi.sh   (contents, props changed)
  head/net-im/jitsi/pkg-descr   (contents, props changed)
  head/net-im/jitsi/pkg-plist   (contents, props changed)
Modified:
  head/net-im/Makefile

Modified: head/net-im/Makefile
==============================================================================
--- head/net-im/Makefile	Sun Mar 24 19:11:38 2013	(r315151)
+++ head/net-im/Makefile	Sun Mar 24 19:16:45 2013	(r315152)
@@ -49,6 +49,7 @@
     SUBDIR += jabberd
     SUBDIR += jarl
     SUBDIR += jggtrans
+    SUBDIR += jitsi
     SUBDIR += kmerlin
     SUBDIR += kmess
     SUBDIR += kmess-kde4

Added: head/net-im/jitsi/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/jitsi/Makefile	Sun Mar 24 19:16:45 2013	(r315152)
@@ -0,0 +1,73 @@
+# Created by: Tzanetos Balitsaris <tzabal@it.teithe.gr>
+# $FreeBSD$
+
+PORTNAME=	jitsi
+PORTVERSION=	1.1
+CATEGORIES=	net-im java
+MASTER_SITES=	https://download.jitsi.org/jitsi/nightly/src/ \
+		http://aetos.it.teithe.gr/~tzabal/files/
+DISTNAME=	jitsi-src-1.1.4456.10418
+
+MAINTAINER=	tzabal@it.teithe.gr
+COMMENT=	Open source IM and VoIP application
+
+USE_ZIP=	yes
+USE_JAVA=	yes
+USE_ANT=	yes
+MAKE_ARGS=	rebuild
+USE_LDCONFIG=	yes
+
+WRKSRC=		${WRKDIR}/${PORTNAME}
+
+DESKTOP_ENTRIES="Jitsi" \
+		"VoIP and Instant Messenger" \
+		${PREFIX}/share/pixmaps/jitsi.png \
+		jitsi \
+		"Network;InstantMessaging;VideoConference;Java;" \
+		true
+
+.include <bsd.port.pre.mk>
+
+do-install:
+	@${ECHO_CMD} ">> Creating Jitsi directories..."
+	@${MKDIR} ${PREFIX}/lib/jitsi/sc-bundles
+	@${MKDIR} ${PREFIX}/lib/jitsi/lib/bundle
+	@${MKDIR} ${PREFIX}/lib/jitsi/lib/native
+
+# Bundles (Jitsi modules)
+	@${ECHO_CMD} ">> Installing bundles (Jitsi modules)..."
+	@cd ${WRKSRC}/sc-bundles && ${COPYTREE_SHARE} \* \
+		${PREFIX}/lib/jitsi/sc-bundles
+	@${RM} ${PREFIX}/lib/jitsi/sc-bundles/*slick*.jar
+	@${RM} -r ${PREFIX}/lib/jitsi/sc-bundles/os-specific
+
+# Library Jars
+	@${ECHO_CMD} ">> Installing library jars..."
+	@cd ${WRKSRC}/lib/bundle && ${COPYTREE_SHARE} \* \
+		${PREFIX}/lib/jitsi/lib/bundle "! -name junit.jar"
+	@${INSTALL_DATA} ${WRKSRC}/lib/os-specific/freebsd/jdic_stub.jar \
+		${PREFIX}/lib/jitsi/lib
+	@cd ${WRKSRC}/lib && ${COPYTREE_SHARE} "felix.jar jdic-all.jar \
+		felix.client.run.properties logging.properties" \
+			${PREFIX}/lib/jitsi/lib
+
+# Native Libraries
+	@${ECHO_CMD} ">> Installing native libraries..."
+.if ${ARCH} != amd64
+	@cd ${WRKSRC}/lib/native/freebsd && ${COPYTREE_SHARE} \* \
+		${PREFIX}/lib/jitsi/lib/native
+.else
+	@cd ${WRKSRC}/lib/native/freebsd-64 && ${COPYTREE_SHARE} \* \
+		${PREFIX}/lib/jitsi/lib/native
+.endif
+
+# Wrapper script to run Jitsi
+	@${ECHO_CMD} ">> Installing wrapper script..."
+	@${INSTALL_SCRIPT} ${FILESDIR}/jitsi.sh ${PREFIX}/bin/jitsi
+
+# Desktop related
+	@${ECHO_CMD} ">> Installing Jitsi's logo..."
+	@${INSTALL_DATA} ${WRKSRC}/resources/images/logo/sc_logo_128x128.png \
+		${PREFIX}/share/pixmaps/jitsi.png
+
+.include <bsd.port.post.mk>

Added: head/net-im/jitsi/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/jitsi/distinfo	Sun Mar 24 19:16:45 2013	(r315152)
@@ -0,0 +1,2 @@
+SHA256 (jitsi-src-1.1.4456.10418.zip) = 07f3ff843ed583f54697892e3311a82f2fa6d15f69b7aa79eb3978be90d65d85
+SIZE (jitsi-src-1.1.4456.10418.zip) = 61050111

Added: head/net-im/jitsi/files/jitsi.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/jitsi/files/jitsi.sh	Sun Mar 24 19:16:45 2013	(r315152)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+JAVA=`which java`
+JITSI="/usr/local/lib/jitsi"
+JITSI_LIB="${JITSI}/lib"
+JITSI_BUNDLES="${JITSI}/sc-bundles"
+
+COMMAND="${JAVA} -Dfelix.config.properties=file:${JITSI_LIB}/felix.client.run.properties \
+        -Djava.util.logging.config.file=${JITSI_LIB}/logging.properties \
+        -Djna.library.path=${JITSI_LIB}/native \
+        -classpath ${JITSI_LIB}/felix.jar:${JITSI_LIB}/jdic-all.jar:${JITSI_LIB}/jdic_stub.jar:${JITSI_BUNDLES}/sc-launcher.jar:${JITSI_BUNDLES}/util.jar \
+        net.java.sip.communicator.launcher.SIPCommunicator"
+
+cd ${JITSI}
+exec ${COMMAND} $*

Added: head/net-im/jitsi/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/jitsi/pkg-descr	Sun Mar 24 19:16:45 2013	(r315152)
@@ -0,0 +1,6 @@
+Jitsi (formerly SIP Communicator) is an audio/video and chat communicator that
+supports protocols such as SIP, XMPP/Jabber, AIM/ICQ, Windows Live, Yahoo! and
+many other useful features. Jitsi is Open Source / Free Software, and is
+available under the terms of the LGPL.
+
+WWW: https://jitsi.org

Added: head/net-im/jitsi/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-im/jitsi/pkg-plist	Sun Mar 24 19:16:45 2013	(r315152)
@@ -0,0 +1,136 @@
+bin/jitsi
+lib/jitsi/lib/bundle/commons-logging.jar
+lib/jitsi/lib/bundle/log4j.jar
+lib/jitsi/lib/bundle/org.apache.felix.bundlerepository-1.6.4.jar
+lib/jitsi/lib/felix.client.run.properties
+lib/jitsi/lib/felix.jar
+lib/jitsi/lib/jdic-all.jar
+lib/jitsi/lib/jdic_stub.jar
+lib/jitsi/lib/logging.properties
+lib/jitsi/lib/native/libhid.so
+lib/jitsi/lib/native/libhwaddressretriever.so
+lib/jitsi/lib/native/libjdic.so
+lib/jitsi/lib/native/libjdic_misc.so
+lib/jitsi/lib/native/libtray.so
+lib/jitsi/sc-bundles/addrbook.jar
+lib/jitsi/sc-bundles/advancedconfig.jar
+lib/jitsi/sc-bundles/aimaccregwizz.jar
+lib/jitsi/sc-bundles/argdelegation-service.jar
+lib/jitsi/sc-bundles/argdelegation.jar
+lib/jitsi/sc-bundles/bouncycastle.jar
+lib/jitsi/sc-bundles/branding.jar
+lib/jitsi/sc-bundles/browserlauncher.jar
+lib/jitsi/sc-bundles/callhistory.jar
+lib/jitsi/sc-bundles/certificate.jar
+lib/jitsi/sc-bundles/chatalerter.jar
+lib/jitsi/sc-bundles/chatconfig.jar
+lib/jitsi/sc-bundles/commons-codec.jar
+lib/jitsi/sc-bundles/configuration.jar
+lib/jitsi/sc-bundles/contacteventhandler.jar
+lib/jitsi/sc-bundles/contactinfo.jar
+lib/jitsi/sc-bundles/contactlist.jar
+lib/jitsi/sc-bundles/contactsource.jar
+lib/jitsi/sc-bundles/credentialsstorage.jar
+lib/jitsi/sc-bundles/customcontactactions.jar
+lib/jitsi/sc-bundles/defaultresources.jar
+lib/jitsi/sc-bundles/demuxcontactsource.jar
+lib/jitsi/sc-bundles/desktoputil.jar
+lib/jitsi/sc-bundles/dns.jar
+lib/jitsi/sc-bundles/dnsservice.jar
+lib/jitsi/sc-bundles/facebookaccregwizz.jar
+lib/jitsi/sc-bundles/fileaccess.jar
+lib/jitsi/sc-bundles/filehistory.jar
+lib/jitsi/sc-bundles/generalconfig.jar
+lib/jitsi/sc-bundles/globalproxyconfig.jar
+lib/jitsi/sc-bundles/globalshortcut.jar
+lib/jitsi/sc-bundles/googlecontacts.jar
+lib/jitsi/sc-bundles/googletalkaccregwizz.jar
+lib/jitsi/sc-bundles/hid.jar
+lib/jitsi/sc-bundles/history.jar
+lib/jitsi/sc-bundles/httputil.jar
+lib/jitsi/sc-bundles/icqaccregwizz.jar
+lib/jitsi/sc-bundles/ippiaccregwizz.jar
+lib/jitsi/sc-bundles/iptelaccregwizz.jar
+lib/jitsi/sc-bundles/jabberaccregwizz.jar
+lib/jitsi/sc-bundles/jfontchooserlib.jar
+lib/jitsi/sc-bundles/jmdnslib.jar
+lib/jitsi/sc-bundles/jnalib.jar
+lib/jitsi/sc-bundles/json.jar
+lib/jitsi/sc-bundles/keybindingChooser.jar
+lib/jitsi/sc-bundles/keybindings.jar
+lib/jitsi/sc-bundles/ldap.jar
+lib/jitsi/sc-bundles/libjitsi.jar
+lib/jitsi/sc-bundles/meta-cl.jar
+lib/jitsi/sc-bundles/metahistory.jar
+lib/jitsi/sc-bundles/msghistory.jar
+lib/jitsi/sc-bundles/msnaccregwizz.jar
+lib/jitsi/sc-bundles/neomedia.jar
+lib/jitsi/sc-bundles/netaddr.jar
+lib/jitsi/sc-bundles/notification-handlers.jar
+lib/jitsi/sc-bundles/notification-service.jar
+lib/jitsi/sc-bundles/notification-wiring.jar
+lib/jitsi/sc-bundles/notificationconfig.jar
+lib/jitsi/sc-bundles/osdependent.jar
+lib/jitsi/sc-bundles/otr.jar
+lib/jitsi/sc-bundles/packetlogging.jar
+lib/jitsi/sc-bundles/phonenumbercontactsource.jar
+lib/jitsi/sc-bundles/plugin-certconfig.jar
+lib/jitsi/sc-bundles/plugin-contactsourceconfig.jar
+lib/jitsi/sc-bundles/plugin-ldap.jar
+lib/jitsi/sc-bundles/plugin-loggingutils.jar
+lib/jitsi/sc-bundles/plugin-msofficecomm.jar
+lib/jitsi/sc-bundles/plugin-nimbuzzavatars.jar
+lib/jitsi/sc-bundles/pluginmanager.jar
+lib/jitsi/sc-bundles/protocol-icq.jar
+lib/jitsi/sc-bundles/protocol-jabber.jar
+lib/jitsi/sc-bundles/protocol-media.jar
+lib/jitsi/sc-bundles/protocol-mock.jar
+lib/jitsi/sc-bundles/protocol-msn.jar
+lib/jitsi/sc-bundles/protocol-sip.jar
+lib/jitsi/sc-bundles/protocol-yahoo.jar
+lib/jitsi/sc-bundles/protocol.jar
+lib/jitsi/sc-bundles/provdisc-dhcp.jar
+lib/jitsi/sc-bundles/provdisc-mdns.jar
+lib/jitsi/sc-bundles/provdisc.jar
+lib/jitsi/sc-bundles/provisioning.jar
+lib/jitsi/sc-bundles/reconnectplugin.jar
+lib/jitsi/sc-bundles/replacement-bliptv.jar
+lib/jitsi/sc-bundles/replacement-dailymotion.jar
+lib/jitsi/sc-bundles/replacement-directimage.jar
+lib/jitsi/sc-bundles/replacement-flickr.jar
+lib/jitsi/sc-bundles/replacement-hulu.jar
+lib/jitsi/sc-bundles/replacement-metacafe.jar
+lib/jitsi/sc-bundles/replacement-smiley.jar
+lib/jitsi/sc-bundles/replacement-twitpic.jar
+lib/jitsi/sc-bundles/replacement-vbox7.jar
+lib/jitsi/sc-bundles/replacement-viddler.jar
+lib/jitsi/sc-bundles/replacement-vimeo.jar
+lib/jitsi/sc-bundles/replacement-youtube.jar
+lib/jitsi/sc-bundles/replacement.jar
+lib/jitsi/sc-bundles/resourcemanager.jar
+lib/jitsi/sc-bundles/sc-launcher.jar
+lib/jitsi/sc-bundles/sdes4j.jar
+lib/jitsi/sc-bundles/securityconfig.jar
+lib/jitsi/sc-bundles/shutdown-timeout.jar
+lib/jitsi/sc-bundles/simpleaccreg.jar
+lib/jitsi/sc-bundles/sipaccregwizz.jar
+lib/jitsi/sc-bundles/skinmanager.jar
+lib/jitsi/sc-bundles/smacklib.jar
+lib/jitsi/sc-bundles/spellChecker.jar
+lib/jitsi/sc-bundles/swing-ui.jar
+lib/jitsi/sc-bundles/swingnotification.jar
+lib/jitsi/sc-bundles/sysactivitynotifications.jar
+lib/jitsi/sc-bundles/ui-service.jar
+lib/jitsi/sc-bundles/update.jar
+lib/jitsi/sc-bundles/updateservice.jar
+lib/jitsi/sc-bundles/util.jar
+lib/jitsi/sc-bundles/version-impl.jar
+lib/jitsi/sc-bundles/yahooaccregwizz.jar
+lib/jitsi/sc-bundles/zrtp4j.jar
+share/applications/jitsi.desktop
+share/pixmaps/jitsi.png
+@dirrm lib/jitsi/sc-bundles
+@dirrm lib/jitsi/lib/native
+@dirrm lib/jitsi/lib/bundle
+@dirrm lib/jitsi/lib
+@dirrm lib/jitsi
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Carlo Strub freebsd_committer 2013-03-24 19:21:16 UTC
State Changed
From-To: open->closed

Committed. Thank you very much. 

Please note that the nightly build you are using in this port is already not available anymore on the official mirror.